<?php
  /**
  *
  * ULTIMATE Seo Urls (version 3.0.1)
  *
  * @license http://www.opensource.org/licenses/gpl-2.0.php GNU Public License
  * Copyright 2020 JMC
  * @Id index.php
  */

  /**
  * Canonical link for index.php.
  */
      global $PHP_SELF, $cPath, $oscTemplate, $category_depth, $current_category_id, $OSCOM_category;
      if (basename($PHP_SELF) == 'index.php') {
        if ( phoenix_min_version('1.0.7.13') ) {
          if (isset($cPath) && tep_not_null($cPath) && ($current_category_id > 0) && ($GLOBALS['category_depth'] != 'top')) {
            $canonical = Guarantor::ensure_global('category_tree')->find_path($current_category_id);
           
            $oscTemplate->addBlock('<link rel="canonicasl" href="' . tep_href_link ('index.php', 'view=all&cPath=' . $canonical, 'SSL', false) . '" />' . PHP_EOL, 'header_tags');
          }
        } else {
          // Older versions does not have $GLOBALS['category_depth']
          if (isset($cPath) && tep_not_null($cPath) && ($current_category_id > 0) && ($category_depth != 'top')) {
            $canonical = $OSCOM_category->buildBreadcrumb($current_category_id);
           
            $oscTemplate->addBlock('<link rel="canonical" href="' . tep_href_link('index.php', 'view=all&cPath=' . $canonical, 'SSL', false) . '" />' . PHP_EOL, 'header_tags');
          }
        }
        if (isset($_GET['manufacturers_id']) && tep_not_null($_GET['manufacturers_id'])) {
          $oscTemplate->addBlock('<link rel="canonical" href="' . tep_href_link('index.php', 'view=all&manufacturers_id=' . (int)$_GET['manufacturers_id'], 'SSL', false) . '" />' . PHP_EOL, 'header_tags');
        }
        else {
          $oscTemplate->addBlock('<link rel="canonical" href="' . tep_href_link('index.php') . '" />' . PHP_EOL, 'header_tags');
        }
      }