<?php
const TITLE_USU_VERSION = 'SEO URLs Version';
const TEXT_USU_VERSION = 'Installed USU configuration version';

const TITLE_USU_ENABLED = 'Enable Ultimate SEO URLs?';
const TEXT_USU_ENABLED = 'Enable/disable the app.';

const TITLE_USU_CACHE_ON = 'Enable the cache?';
const TEXT_USU_CACHE_ON = 'Turn USU cache system on';

const TITLE_USU_CACHE_SYSTEM = 'Select your chosen cache system';
const TEXT_USU_CACHE_SYSTEM = 'Choose from the 4 available caching strategies.';

const TITLE_USU_CACHE_DAYS = 'Set the number of days to store the cache.';
const TEXT_USU_CACHE_DAYS = 'Set the number of days you wish to retain cached data, after this the cache will auto reset.';

const TITLE_USU_URLS_TYPE = 'Choose the uri format';
const TEXT_USU_URLS_TYPE = 'Choose USU URL format';

const TITLE_USU_PRODUCTS_LINK_TEXT_ORDER = 'Choose how your product link text is made up';
const TEXT_USU_PRODUCTS_LINK_TEXT_ORDER = 'Product link text can be made up of:<br /><b>p</b>  =  product name<br /><b>c</b>  =  category name<br /><b>b</b>  =  manufacturer (brand)<br /><b>m</b>  =  model<br />e.g. <b>bp</b> (brand/product)';

const TITLE_USU_FILTER_SHORT_WORDS = 'Filter Short Words';
const TEXT_USU_FILTER_SHORT_WORDS = '<b>This setting will filter words.</b><br>0 =  Disabled<br>1  =  Remove words of 1 letter<br>2  =  Remove words of 2 letters or less<br>3  =  Remove words of 3 letters or less<br>';

const TITLE_USU_ADD_CAT_PARENT = 'Add category parent to beginning of category uris?';
const TEXT_USU_ADD_CAT_PARENT = 'This setting will add the category parent name to the beginning of the category URLs (i.e. - parent-category-c-1.html).';

const TITLE_USU_REMOVE_ALL_SPEC_CHARS = 'Remove all non-alphanumeric characters?';
const TEXT_USU_REMOVE_ALL_SPEC_CHARS = 'This will remove all non-letters and non-numbers. If your language has special characters then you will need to use the character conversion system.';

const TITLE_USU_OUPUT_PERFORMANCE = 'Turn performance reporting on true/false.';
const TEXT_USU_OUPUT_PERFORMANCE = '<b>Performance reporting should not be set to ON on a live site</b><br>It is for reporting re: performance and queries and shows at the bottom of your site.';

const TITLE_USU_DEBUG_OUPUT_VARS = 'Turn variable reporting on true/false.';
const TEXT_USU_DEBUG_OUPUT_VARS = '<b>Variable reporting should not be set to ON on a live site</b><br>It is for reporting the contents of USU classes and shows unformatted at the bottom of your site.';

const TITLE_USU_HOME_PAGE_REDIRECT = 'Force www.mysite.com/ when www.mysite.com/index.php';
const TEXT_USU_HOME_PAGE_REDIRECT = 'Force a redirect to www.mysite.com/ when www.mysite.com/index.php';

const TITLE_USU_RESET_CACHE = 'Reset USU Cache';
const TEXT_USU_RESET_CACHE = 'This will reset the cache data for USU';
const MESSAGE_HTACCES_SUCCESS = 'Ultimate SEO Urls has been installed on your system. Please go to Admin->Configuration->Ultimate SEO Urls to activate and configure the app.';
