<?php
  /**
  *
  * ULTIMATE Seo Urls (version 3.0.1)
  *
  * @license http://www.opensource.org/licenses/gpl-2.0.php GNU Public License
  * Copyright 2020 JMC
  */

  class ht_canonical_usu extends abstract_executable_module {
    
    const CONFIG_KEY_BASE = 'MODULE_HEADER_TAGS_CANONICAL_USU_';
//    var $code = 'ht_canonical_usu';
//    var $group = 'header_tags';
//    var $title;
//    var $description;
//    var $sort_order;
//    var $enabled = false;

    public function __construct() {
/*
      $this->title = MODULE_HEADER_TAGS_CANONICAL_USU_TITLE;
      $this->description = MODULE_HEADER_TAGS_CANONICAL_USU_DESCRIPTION;

      if ( defined('MODULE_HEADER_TAGS_CANONICAL_USU_STATUS') ) {
        $this->sort_order = MODULE_HEADER_TAGS_CANONICAL_USU_SORT_ORDER;
        $this->enabled = (MODULE_HEADER_TAGS_CANONICAL_USU_STATUS == 'True');
      }
*/
      parent::__construct(__FILE__);
    }

    function execute() {
      global $PHP_SELF;
      if (defined ('USU_ENABLED')) {
        $files = [];
        if ($dir = @dir(DIR_FS_CATALOG . 'includes/apps/ultimate_seo_urls/canonical_modules/')) {
          while ($file = $dir->read()) {
            if (!is_dir(DIR_FS_CATALOG . 'includes/apps/ultimate_seo_urls/canonical_modules/' . $file)) {
              if ('php' === pathinfo($file, PATHINFO_EXTENSION)) {
                require DIR_FS_CATALOG . 'includes/apps/ultimate_seo_urls/canonical_modules/' . $file;
              }
            }
          }
          $dir->close();
        }
      }
    }
    protected function get_parameters() {
      return [
        'MODULE_HEADER_TAGS_CANONICAL_USU_STATUS' => [
          'title' => 'Enable Canonical Module',
          'value' => 'True',
          'desc' => 'Do you want to enable the Canonical module?',
          'set_func' => "tep_cfg_select_option(['True', 'False'], ",
        ],
        'MODULE_HEADER_TAGS_CANONICAL_USU_SORT_ORDER' => [
          'title' => 'Sort Order',
          'value' => '0',
          'desc' => 'Sort order of display. Lowest is displayed first.',
        ],
      ];
    }

  }

