<?php
  /**
  *
  * ULTIMATE Seo Urls (version 3.0.1)
  *
  * @license http://www.opensource.org/licenses/gpl-2.0.php GNU Public License
  * Copyright 2020 JMC
  */

const WARNING_USU_HTACCESS ='Home directory .htaccess file in ' . DIR_FS_CATALOG . ' could not be modified due to permissions. Please add the follwing lines to it:<br><br>
<xmp>## BEGIN USU URL rewrite rules ##
## USU Version: 3.0.1 ##
<IfModule mod_rewrite.c>
  RewriteEngine On
  RewriteBase /CE-Phoenix-1.0.7.10a/
  RewriteRule ^([a-z0-9/-]+)-c-([0-9_]+).html$ index.php [NC,L,QSA]
  RewriteRule ^([a-z0-9/-]+)-m-([0-9]+).html$ index.php [NC,L,QSA]
  RewriteRule ^([a-z0-9/-]+)-p-([0-9]+).html$ product_info.php [NC,L,QSA]
  RewriteRule ^([a-z0-9/-]+)-pi-([0-9]+).html$ info.php [NC,L,QSA]
  ## For rewrite, path_rewrite
  RewriteRule ^([a-z0-9/-]+)-pr-([0-9]+).html$ ext/modules/content/reviews/write.php [NC,L,QSA]
  ## For standard, path_standard
  RewriteRule ^write.php/([a-z0-9/-]+)-pr-([0-9]+) ext/modules/content/reviews/write.php [NC,L,QSA]
</IfModule>
## END USU URL rewrite rules ##
              </xmp>';
const HEADING_TITLE = 'Ultimate SEO Urls';
const TEXT_VERSION = 'Version ';
const TITLE_OPTIONS = 'Setup options';
const TABLE_HEADING_CONFIG_TITLE = 'Option';
const TABLE_HEADING_CONFIG_VALUE = 'Value';
const TITLE_MODULES = 'Modules';
const TABLE_HEADING_MODULES_TITLE = 'Module';
const TABLE_HEADING_MODULES_VALUE = 'Status';
const TEXT_SQLITE_EXISTS = 'SQLite is installed.';
const TEXT_NO_SQLITE = 'SQLite is not installed.';
const USU_NAVBAR_ACTIVATE = '<b>Activate navbar module</b><br>Note: This will add language selection to navbar. Stock navbar languages module will be de-activated if enabled as it will not work correctly.';
const USU_BOX_ACTIVATE = '<b>Activate sidebar box module</b><br>This will add language selection to the sidebar. Stock languages box will be de-activated if enabled as it will not work correctly.';
const USU_HREFLANG_ACTIVATE =  '<b>Activate hreflang module</b><br>This will add hreflang tags pointing to all of the different localized page versions on page header. Good for SEO.';
const USU_CANONICAL_ACTIVATE =  '<b>Activate canonical module</b><br>This will add proper canonical tags on page header. Stock canonical header module will be de-activated if enabled as it will not work correctly. Good for SEO.<br><i class="fas fa-info-circle text-info"></i>  <b>NOTE:</b> You can create modules for new pages in ' . DIR_FS_CATALOG . 'includes/apps/ultimate_seo_urls/canonical_modules/ directory.';
const USU_WARNING = 'These stock modules are active: %s These will not work correctly with Ultimate Seo URLS. Please deactivate these modules or activate the corresponding compatible ones below.';
const USU_STOCK_CANONICAL_MODULE = 'Modules->Header Tages->Canonical links';
const USU_STOCK_NAVBAR_MODULE = 'Modules->Navbar->Languages';
const USU_STOCK_BOX_MODULE = 'Modules->Boxes->Languages';
const TEXT_USU_RESET_SITEMAP = '<b>Generate HTML Sitemap</b>';
const BUTTON_USU_UNINSTALL = 'Uninstall Ultimate Seo Urls';
const TEXT_USU_UNINSTALL = '<b>WARNING:</b> It will remove your current USU configuration. Do you want to proceed?';
const BUTTON_USU_INSTALL = 'Install Ultimate Seo Urls';
const USU_DESCRIPTION = 'Ultimate SEO URL reescribe las URL standard para hacerlas amigables para el usuario y añade soporte multi-idioma a CE Phoenix.<br>Por favor, pulse el botón para instalar.';
const WARNING_USU_UPGRADED = 'Ultimate SEO URL updated to version %s.';

