<?php
  /**
  *
  * ULTIMATE Seo Urls (version 3.0.1)
  *
  * @license http://www.opensource.org/licenses/gpl-2.0.php GNU Public License
  * Copyright 2020 JMC
  */

const WARNING_USU_HTACCESS = 'El archivo .htaccess ubicado en ' . DIR_FS_CATALOG . ' no ha podido ser modificado automáticamente por la instalación. Por favor, agregue las siguientes líneas al final del mismo:<br><br>
<xmp>## BEGIN USU URL rewrite rules ##
## USU Version: 3.0.1 ##
<IfModule mod_rewrite.c>
  RewriteEngine On
  RewriteBase /CE-Phoenix-1.0.7.10a/
  RewriteRule ^([a-z0-9/-]+)-c-([0-9_]+).html$ index.php [NC,L,QSA]
  RewriteRule ^([a-z0-9/-]+)-m-([0-9]+).html$ index.php [NC,L,QSA]
  RewriteRule ^([a-z0-9/-]+)-p-([0-9]+).html$ product_info.php [NC,L,QSA]
  RewriteRule ^([a-z0-9/-]+)-pi-([0-9]+).html$ info.php [NC,L,QSA]
  ## For rewrite, path_rewrite
  RewriteRule ^([a-z0-9/-]+)-pr-([0-9]+).html$ ext/modules/content/reviews/write.php [NC,L,QSA]
  ## For standard, path_standard
  RewriteRule ^write.php/([a-z0-9/-]+)-pr-([0-9]+) ext/modules/content/reviews/write.php [NC,L,QSA]
</IfModule>
## END USU URL rewrite rules ##
              </xmp>';
const HEADING_TITLE = 'Ultimate SEO Urls';
const TEXT_VERSION = 'Versión ';
const TITLE_OPTIONS = 'Opciones de configuración';
const TABLE_HEADING_CONFIG_TITLE = 'Opción';
const TABLE_HEADING_CONFIG_VALUE = 'Valor';
const TITLE_MODULES = 'Módulos';
const TABLE_HEADING_MODULES_TITLE = 'Módulo';
const TABLE_HEADING_MODULES_VALUE = 'Estado';
const TEXT_SQLITE_EXISTS = 'SQLite está instalado en el sistema.';
const TEXT_MEMCACHE_EXISTS = 'Memcache está instalado en el sistema.';
const TEXT_NO_SQLITE = 'SQLite no está instalado en el sistema.';
const TEXT_NO_MEMCACHE = 'Memcache no está instalado en el sistema.';
const USU_NAVBAR_ACTIVATE = '<b>Activar Módulo de idiomas de la barra de navegación</b><br>Esto agregará la selección de idiomas a la barra de navegación. El módulo de idiomas por defecto será desactivada si estuviera instalada pues no funcionará correctamente con esta aplicación.';
const USU_BOX_ACTIVATE = '<b>Activar caja lateral de idiomas</b><br>Esto agregará una caja de selección de idiomas al menú lateral. La caja por defecto será desactivada si estuviera instalada pues no funcionará correctamente con esta aplicación.';
const USU_HREFLANG_ACTIVATE =  '<b>Activar módulo hreflang</b><br>Esto agregará etiquetas <i>hreflang</i>, que apuntarán a las versiones en cada uno de los idiomas instalados, en la cabecera de la página. Bueno para SEO.';
const USU_CANONICAL_ACTIVATE =  '<b>Activar módulo canonical</b><br>Esto agregará etiquetas <i>canonical</i>, que apuntarán a la versión principal o canónica de cada página en caso que se acceda a la misma desde distintas URLs. Bueno para SEO.<br><i class="fas fa-info-circle text-info"></i> NOTA: Puede crear nuevos módulos para nuevas páginas en el directorio ' . DIR_FS_CATALOG . 'includes/apps/ultimate_seo_urls/canonical_modules/';
const USU_WARNING = 'Los siguientes módulos están activados: %s Estos módulos no funcionarán correctamente con Ultimate Seo URLS. Aconsejamos desactivarlos o activar el módulo compatible correspondiente.';
const USU_STOCK_CANONICAL_MODULE = 'Modulos->Etiquetas de cabecera->Etiquetas canónicas de cabecera';
const USU_STOCK_NAVBAR_MODULE = 'Modulos->Barra de navegación->Idiomas';
const USU_STOCK_BOX_MODULE = 'Modulos->Cajas->Idiomas';
const TEXT_USU_RESET_SITEMAP = '<b>Generar Mapa del sitio HTML</b>';
const BUTTON_USU_UNINSTALL = 'Desinstalar Ultmate Seo Urls';
const TEXT_USU_UNINSTALL = '<b>Aviso:</b> Se eliminará la configuración actual de Ultimate Seo Urls. ¿Desea continuar?';
const BUTTON_USU_INSTALL = 'Instalar Ultimate Seo Urls';
const USU_DESCRIPTION = 'User Friendly URL rewrites the standard Phoenix URLs to make them more user friendy and with multi-language support.<br>Please press button below to install.';
const WARNING_USU_UPGRADED = 'Ultimate SEO URL actualizado a la versión %s.';

