<?php
  /**
  *
  * ULTIMATE Seo Urls (version 3.0.1)
  *
  * @license http://www.opensource.org/licenses/gpl-2.0.php GNU Public License
  * Copyright 2020 JMC
  * Portions Copyright 2008-2009 FWR Media, 2005 Bobby Easland
  * @Id uri_redirects_array.php      
  */

  /**
  * Array of URIs to be 301 redirected
  * see also  http://forums.oscommerce.com/topic/336702-ultimate-seo-urls-5-by-fwr-media/page-201#entry1690095
  * @example:
  * 'vegetables-c-2'  => array( 'index.php', 'cPath=1' ) redirects the specific uri (vegetables-c-2) to
  * the current uri for cPath=1 (fruit-c-1.html in example data supplied by Phoenix), but only in case 'vegetables-c-2'
  * does not exist. If the page exists then redirection will not happen.
  *
  * Useful if you delete a category or product and want it to be redirected to another category or product instead
  * of showing 404 error.
  *
  * URI must be written in the same format the app is configured.
  */

  /*
  EXAMPLES:
  $usu_uri_redirects = array( 'vegetables-c-22.html'  => array( 'product_info.php', 'products_id=6' ),
                               'de/hardware-c-101.html' => array( 'index.php', 'cPath=1' ) );
  */